Remove the special list-xxxx commands
[openssl.git] / test / tsid
index 8c7e9b1..a5c1c73 100644 (file)
--- a/test/tsid
+++ b/test/tsid
@@ -1,9 +1,7 @@
 #!/bin/sh
 
-PATH=../apps:$PATH
-export PATH
-
-cmd='../apps/ssleay sess_id'
+OPENSSL_CONF=/dev/null ; export OPENSSL_CONF
+cmd='../util/shlib_wrap.sh ../apps/openssl sess_id'
 
 if [ "$1"x != "x" ]; then
        t=$1
@@ -12,70 +10,28 @@ else
 fi
 
 echo testing session-id conversions
-cp $t fff.p
+cp $t sid-fff.p
 
 echo "p -> d"
-$cmd -in fff.p -inform p -outform d >f.d
-if [ $? != 0 ]; then exit 1; fi
-#echo "p -> t"
-#$cmd -in fff.p -inform p -outform t >f.t
-#if [ $? != 0 ]; then exit 1; fi
+$cmd -in sid-fff.p -inform p -outform d >sid-f.d || exit 1
 echo "p -> p"
-$cmd -in fff.p -inform p -outform p >f.p
-if [ $? != 0 ]; then exit 1; fi
+$cmd -in sid-fff.p -inform p -outform p >sid-f.p || exit 1
 
 echo "d -> d"
-$cmd -in f.d -inform d -outform d >ff.d1
-if [ $? != 0 ]; then exit 1; fi
-#echo "t -> d"
-#$cmd -in f.t -inform t -outform d >ff.d2
-#if [ $? != 0 ]; then exit 1; fi
+$cmd -in sid-f.d -inform d -outform d >sid-ff.d1 || exit 1
 echo "p -> d"
-$cmd -in f.p -inform p -outform d >ff.d3
-if [ $? != 0 ]; then exit 1; fi
-
-#echo "d -> t"
-#$cmd -in f.d -inform d -outform t >ff.t1
-#if [ $? != 0 ]; then exit 1; fi
-#echo "t -> t"
-#$cmd -in f.t -inform t -outform t >ff.t2
-#if [ $? != 0 ]; then exit 1; fi
-#echo "p -> t"
-#$cmd -in f.p -inform p -outform t >ff.t3
-#if [ $? != 0 ]; then exit 1; fi
+$cmd -in sid-f.p -inform p -outform d >sid-ff.d3 || exit 1
 
 echo "d -> p"
-$cmd -in f.d -inform d -outform p >ff.p1
-if [ $? != 0 ]; then exit 1; fi
-#echo "t -> p"
-#$cmd -in f.t -inform t -outform p >ff.p2
-#if [ $? != 0 ]; then exit 1; fi
+$cmd -in sid-f.d -inform d -outform p >sid-ff.p1 || exit 1
 echo "p -> p"
-$cmd -in f.p -inform p -outform p >ff.p3
-if [ $? != 0 ]; then exit 1; fi
-
-cmp fff.p f.p
-if [ $? != 0 ]; then exit 1; fi
-cmp fff.p ff.p1
-if [ $? != 0 ]; then exit 1; fi
-#cmp fff.p ff.p2
-#if [ $? != 0 ]; then exit 1; fi
-cmp fff.p ff.p3
-if [ $? != 0 ]; then exit 1; fi
-
-#cmp f.t ff.t1
-#if [ $? != 0 ]; then exit 1; fi
-#cmp f.t ff.t2
-#if [ $? != 0 ]; then exit 1; fi
-#cmp f.t ff.t3
-#if [ $? != 0 ]; then exit 1; fi
+$cmd -in sid-f.p -inform p -outform p >sid-ff.p3 || exit 1
 
-cmp f.p ff.p1
-if [ $? != 0 ]; then exit 1; fi
-#cmp f.p ff.p2
-#if [ $? != 0 ]; then exit 1; fi
-cmp f.p ff.p3
-if [ $? != 0 ]; then exit 1; fi
+cmp sid-fff.p sid-f.p || exit 1
+cmp sid-fff.p sid-ff.p1 || exit 1
+cmp sid-fff.p sid-ff.p3 || exit 1
+cmp sid-f.p sid-ff.p1 || exit 1
+cmp sid-f.p sid-ff.p3 || exit 1
 
-/bin/rm -f f.* ff.* fff.*
+/bin/rm -f sid-f.* sid-ff.* sid-fff.*
 exit 0